
% >> robot.params
% ans = 
%         M: 5
%        Mp: 10
%        Mf: 0
%         g: 9.8000
%         l: 1
%     slope: 0.0628

robot.params.Mf = 0;
robot.params.slope = pi/50-1E-6;

da = pi/6;
dv = .5;
max_angle = pi/4;
max_vel = 1.5;
steps = 5;

% First find the points where you hit the ground after 1 step
fps = [];
for s = max_angle : -da : -max_angle
    for ns = -max_angle : da : max_angle
        for sd = -max_vel : dv : max_vel
            for nsd = -max_vel : dv : max_vel
                for Mf = 1 : -1/10 : 0
                    Mf
                    robot.params.Mf = Mf;
                    qi = [s ns sd nsd]; out = walk(qi,steps);
                    
                    if size(out,1) == steps
                        fps = [fps ; Mf qi]
                    end
                end
            end
        end
    end
end
% 
% for i=1:size(fps, 1)
%     for slope = pi/3 : -.1 : 0
%         robot.params.slope = slope;
%         qi = [robot.fp(i,:)];
%         qf = step(qi,1);
%         if size(qf(end).xe,1) ~= 0
%             qf = qf(end).ye;
%             i
%             norm(qi-qf')
%         end
%     end
% end